<script>
  const speed = 3000;

  let imgs = [
    "img/giving-t-2-black-males.jpg",
    "img/giving-t-black-male-blue.jpg",
    "img/giving-t-white-middle.jpg",
    "img/giving-t-white-old-male-blue.jpg",
    "img/giving-t-white-woman.jpg",
    "img/giving-t-women-pink-boxing.jpg"
  ];

  // Load the images
  for (let src of imgs) {
    let img = new Image();
    img.src = src;
  }

  let index = 2;
  const nextIndex = () => {
    const lastIndex = index;
    index = index + 1 >= imgs.length ? 0 : index + 1;
    return lastIndex;
  };

  let fClass = "";
  let front = imgs[0];
  let back = imgs[1];

  const update = () => {
    back = imgs[nextIndex()];

    fClass = "hidden";
    setTimeout(() => {
      front = imgs[nextIndex()];
      fClass = "";
    }, speed);
  };

  update();
  setInterval(update, speed * 2);
</script>

<style>
  #background {
    position: absolute;
    width: 50%;
    height: 100%;
    z-index: -1;
  }

  @media (max-width: 900px) {
    #background {
      display: none;
    }
  }

  #background::after {
    content: "";
    position: absolute;
    top: 0;
    display: block;
    width: 100%;
    height: 100%;
    background-image: radial-gradient(transparent, #222a2f),
      linear-gradient(to right, transparent 45%, #222a2f 95%);
  }

  img {
    position: absolute;
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  .front {
    transition: opacity 1s;
    opacity: 1;
  }
  .front.hidden {
    opacity: 0;
  }
</style>

<div id="background">
  <img class="back" src={back} alt="" />
  <img class="front {fClass}" src={front} alt="" />
</div>
